Menu

apiWithdrawals

RequêteClé requise

Arguments

NomTypeDescription
limitInt
statusWithdrawalStatus

Retourne

[WithdrawalRequestView!]!

Exemple

GraphQL
query ApiWithdrawals($limit: Int, $status: WithdrawalStatus) {
  apiWithdrawals(limit: $limit, status: $status) {
    appointment {
      dockCode
      dockId
      endsAt
      id
      startsAt
      status
    }
    arrivedAt
    atRisk
    cancelReason
    closedAt
    createdAt
    decidedAt
    decisionNote
    facilityCode
    facilityId
    handedOverAt
    handedTo
    handedUnits
    holdUntil
    id
    lineCount
    noShowAt
    note
    openReturnTasks
    openTasks
    organizationId
    photoKeys
    readyAt
    reason
    reference
    requestedUnits
    sellerName {
      ar
      en
      fr
      tn
    }
    shopRepresentative
    stagedUnits
    stagingBarcode
    status
    totalReturnTasks
    totalTasks
  }
}
curl
curl -sS https://api.wamia.tn/connect/graphql \
  -H 'content-type: application/json' \
  -H 'x-api-key: wamia_…' \
  -H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
  -H 'wamia-idempotency-key: 6f0e1a2b-…' \
  --data '{"query":"query ApiWithdrawals($limit: Int, $status: WithdrawalStatus) { apiWithdrawals(limit: $limit, status: $status) { appointment { dockCode dockId endsAt id startsAt status } arrivedAt atRisk cancelReason closedAt createdAt decidedAt decisionNote facilityCode facilityId handedOverAt handedTo handedUnits holdUntil id lineCount noShowAt note openReturnTasks openTasks organizationId photoKeys readyAt reason reference requestedUnits sellerName { ar en fr tn } shopRepresentative stagedUnits stagingBarcode status totalReturnTasks totalTasks } }"}'